/*
Copyright Andreas Krebbel 2020
Distributed under the Boost Software License, Version 1.0.
(See accompanying file LICENSE_1_0.txt or copy at
http://www.boost.org/LICENSE_1_0.txt)
*/

#ifndef BOOST_PREDEF_ARCHITECTURE_S390X_H
#define BOOST_PREDEF_ARCHITECTURE_S390X_H

#include <boost/predef/version_number.h>
#include <boost/predef/make.h>

/*`
[heading `BOOST_ARCH_S390X`]

[@http://en.wikipedia.org/wiki/System/390 System/390] architecture.

[table
    [[__predef_symbol__] [__predef_version__]]

    [[`__s390x__`] [__predef_detection__]]
    ]
 */

#define BOOST_ARCH_S390X BOOST_VERSION_NUMBER_NOT_AVAILABLE

#if defined(__s390x__)
#   undef BOOST_ARCH_S390X
#   define BOOST_ARCH_S390X BOOST_VERSION_NUMBER_AVAILABLE
#endif

#if BOOST_ARCH_S390X
#   define BOOST_ARCH_S390X_AVAILABLE
#endif

#define BOOST_ARCH_S390X_NAME "IBM Z"

#endif

#include <boost/predef/detail/test.h>
BOOST_PREDEF_DECLARE_TEST(BOOST_ARCH_S390X,BOOST_ARCH_S390X_NAME)
